From e254cf7b56987e1446b917beaa5e9db0860682b8 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 10/12] libre/iceweasel: 153.0-1, sync with changes from upstreams


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 3c2973e..fad5a54 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -72,7 +72,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=152.0.6
+pkgver=153.0
 pkgrel=1
 _brandingver=149.0
 _brandingrel=1
@@ -193,7 +193,7 @@ validpgpkeys+=(
   BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin (branding source-ball)
   3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40 # bill-auger        (libre source-ball)
 )
-sha256sums=('ea220c4f8d19d4edaa20e6dadfd3c4aeb07dbed017ade2828fd814d660660f0e'
+sha256sums=('bc510f74c8c4c692d31e559aeb5850849d13bc98214ac81e004f66f819a55522'
             'SKIP'
                                                                                 # $pkgname-symbolic.svg
             '73c06fe38a7663d7dc395e3d037b4375ff102917509ad6290a00d40bbac99f62'  # $pkgname.desktop
@@ -205,7 +205,7 @@ sha256sums_i686=('65395a49fd3d998f7e06a430bdd656ad453254dafcc34e21ec7931902d8c18
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('d0a55f6f30a78516d244037d593ccb08f6803498b582508af35d5b2811097f00584c5b1760c488ae6e7073837b88087ff94ab36eee9af8d7a110350515fc94eb'
+b2sums=('418cc4576a8a98bb957e93712c146629720d5de960d29196395436f05c2eff95adde1dded34805e3b5e664b4a9486af3fe58acdb945d068bb882321e30a4e1a4'
         'SKIP'
                                                                                                                                              # $pkgname-symbolic.svg (deleted)
         '79fd40b2e19a6f4f5fef4b12d19d12b15122feb3f813cc6ca892ba0d39167fb1efc6ce2da5c87b8ffbcc6dcc27488f5262fd21a308d48c0bfee189add3917029'   # $pkgname.desktop
@@ -261,17 +261,17 @@ mksource+=( https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-
             process-json-files.py )
 mksha256sums+=( 'a73e8dd2c8278a8022567193fa56a1935d3cdf15981bac9a7ca22563cb292d4f'   # *.branding.tar.xz
                 'SKIP'
-                '517eb3b251695979dffe995702f7668616b316b745ae212f4f2f46d5cbaf0c3e'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-                'dcb1a20b8c81fedd24b628f5b8eec3209f1c58223559e8e754e2c5c3f5744f68'   # 9002-FSDG-preference-defaults.patch
-                '2cb40bc6a98a9f88edf1e945b5335136f80768934d71f81f6d184028531873ca'   # 9003-FSDG-urihandlers.patch
-                'f58e934dfc10e7d639caecd27424a6f55f0e9df976859b11b25c294c72298ef5'   # 9004-FSDG-misc.patch
+                'fcb2a62acd28f54acbf719dc28726d1745461c8daf3bf2010b9520d21e5aadad'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+                '64b09b4abfed294a3e1cd4ac50b18ba2fe8172a87f2bcc4f163d32c3969afab3'   # 9002-FSDG-preference-defaults.patch
+                'fef1430f2a4d7cf346a1db589d616cb021f0e9fe73e1eccf08ad1660cf9f6cb5'   # 9003-FSDG-urihandlers.patch
+                '7fa42ce4a1564b96c938c99d23066624bdd022b9ee467242b4c3bcf563f85037'   # 9004-FSDG-misc.patch
                 '8ec0bc73034e38295494856bb1ae8ab7e225b2450189a5a01172b8a12b3c2516' ) # process-json-files.py
 mkb2sums+=( '26b63e9d4f0bc072c96bdae094bf399804b9b2472593ed15bead45d1c319823ad371b46c9e078c5fb0c546f898bf73cc2f45f8c92bc43c6d15047055ab026ca3'   # *.branding.tar.xz
             'SKIP'
-            '1ac13c0d00365f6296fc307f3c9cf6f262d4d2aae3be46d8170a52760a2c15c8315e8276ecd1a9754b8f4854557351a11236f7f82d7425dcfb18a22651537baf'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-            '898fd23768d67ff3ebedd37bad510de86912c4f862da56b68ba509c3f3676345533e97eb16b5218d08d599837eaea5eab487cf47e6cfe01228ba200aa680e8d6'   # 9002-FSDG-preference-defaults.patch
-            '90ca48afd995e574978fd22e77c55dd6253d4b3a0cb2ba34a0aebe904aef1eaa0ed3c52fcded5bedfb521f3f547e117c9587c18d61b5c338de41b0cf284f3b8c'   # 9003-FSDG-urihandlers.patch
-            '09aeebadf3eb481b9b19f511de837676b8213a15b930ba6dd3f4653f975ae3936e1fc768c3c079c0137f3a54b1857b3f0331e4fe4596a0929710ec6ebec34261'   # 9004-FSDG-misc.patch
+            '2932e471a09aa9b75df1be22a928e0285527733fa45e8ac28e593d9ee8835e9deab5393562f3f61f921e2b96013e097f8e68fd0c1e74a59c16839488da620d28'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+            'f6f502d24c57572c8e3cd96f6994c3c1c17bd51d73ba34cf0904e6ae2f07d0e1cc65d1db598de3e8710de9304f75d2bf83a54462c33e16e5cc40126dc06b505b'   # 9002-FSDG-preference-defaults.patch
+            '833462de8ea35525ed7eabd2d87504aac1ad853ab892a27772fa5c4a02ba3829f5bfcd970e5527a7b973166494b0e439e6d3e28d25a249005899b984e16d45cf'   # 9003-FSDG-urihandlers.patch
+            '9d075d838197edb43eb0fc2d18df1a784a7ec13b1b52295ff5aa7424816853220ff9cdf5b8e8c3fe6bc744a2f6007d0648365a8d54c8323ba74885fee440f2ed'   # 9004-FSDG-misc.patch
             '950d13abed98ccb939479859e249dd8a641537ee056f8e2dff1c3e4f608f1c6af450d666f2e3910f4f7daae43b2838e065591accb6a8a7b86da770dcb1f3999b' ) # process-json-files.py
 source=( https://repo.parabola.nu/other/${pkgname}/${pkgname}-${pkgver}.tar.zst{,.sig}
          ${source[*]:${_N_MKSOURCES}} )
@@ -492,7 +492,7 @@ mksource() {
   # Upstream tarball can contain some ignored cruft,
   # including binaries (for example, python3).
   echo "Removing files specified in .gitignore..."
-  git init -b master && git clean -dfX                                      \
+  git init -b main && git clean -dfX                                      \
     --exclude='!ipc/chromium/src/third_party/libevent/evconfig-private.h'   \
     --exclude='!toolkit/crashreporter/google-breakpad/src/third_party/lss/' \
     --exclude='!third_party/python/**/*.egg-info/'                          \
@@ -512,7 +512,12 @@ mksource() {
   sed -i '/vendor\//d' toolkit/components/ml/jar.mn
   rm -frv toolkit/components/ml/vendor
 
+  # Remove some files with lots of references to Merino endpoints,
+  # as it's too much effort to patch them, and they interfere with
+  # checking of Merino patching done later.
+  truncate -s0 browser/extensions/newtab/test/xpcshell/test_SportsFeed.js
   rm -v mobile/android/android-components/components/service/merino-manifest/src/main/assets/manifest/manifest.json
+  
 
   # Remove test-related networking dumps, because they contain code from
   # some Amazon webpage with no clear licensing, thus nonfree.

